Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

109 lines (104 sloc) 3.924 kb
# Defaults. To override, create a file called build.properties in
# the same directory and put your changes in that.
src.dir=src
test.dir=test
lib.dir=lib
build.dir=build
pkg.dir=${build.dir}/pkg
dest.lib.dir=${lib.dir}
spec.dir=spec
jruby.gem.home=lib/ruby/gems/shared
ruby18.mspec.file=${spec.dir}/jruby.1.8.mspec
ruby19.mspec.file=${spec.dir}/jruby.1.9.mspec
cext.mspec.file=${spec.dir}/jruby.cext.mspec
rubyspec.dir=${spec.dir}/ruby
rubyspec.tar.file=${build.dir}/rubyspec.tgz
prawn.git.repo=git://github.com/sandal/prawn.git
prawn.dir=${test.dir}/prawn
prawn.stable.version=0.4.1
rails.git.repo=git://github.com/rails/rails.git
rails.dir=${test.dir}/rails
mspec.dir=${spec.dir}/mspec
mspec.bin=${mspec.dir}/bin/mspec
mspec.tar.file=${build.dir}/mspec.tgz
rubyspec.1.8.dir=${rubyspec.dir}/1.8
spec.tags.dir=${spec.dir}/tags
build.lib.dir=build_lib
parser.dir=src/org/jruby/parser
jflex.bin=jflex
jay.bin=jay
rdoc.gem=${build.lib.dir}/rdoc-3.12.gem
json.gem=${build.lib.dir}/json-1.7.3-java.gem
rspec.version=2.8.0
rspec.gem=${build.lib.dir}/rspec-${rspec.version}.gem
rspec.core.gem=${build.lib.dir}/rspec-core-${rspec.version}.gem
rspec.expectations.gem=${build.lib.dir}/rspec-expectations-${rspec.version}.gem
rspec.mocks.gem=${build.lib.dir}/rspec-mocks-${rspec.version}.gem
diff.lcs.gem=${build.lib.dir}/diff-lcs-1.1.3.gem
rake.gem=${build.lib.dir}/rake-0.9.2.2.gem
minitest.gem=${build.lib.dir}/minitest-2.11.0.gem
minitest.excludes.gem=${build.lib.dir}/minitest-excludes-1.0.0.gem
jruby.launcher.gem=${build.lib.dir}/jruby-launcher-1.0.14-java.gem
dev.gem.names=rake rspec-core diff-lcs rspec-expectations rspec-mocks rspec minitest minitest-excludes
dev.gems=${rake.gem} ${rspec.core.gem} ${diff.lcs.gem} ${rspec.expectations.gem} ${rspec.mocks.gem} ${rspec.gem} ${json.gem} ${rdoc.gem} ${minitest.gem} ${minitest.excludes.gem}
complete.jar.gems=${rake.gem}
build.gems=mocha i18n jruby-memcache-client tzinfo jruby-openssl
jruby.win32ole.gem=${build.lib.dir}/jruby-win32ole-0.8.5.gem
installer.gems=${jruby.win32ole.gem}
dist.dir=dist
dist.stage.bin.dir=${dist.dir}/jruby-bin-${version.jruby}
dist.stage.src.dir=${dist.dir}/jruby-src-${version.jruby}
classes.dir=${build.dir}/classes
jruby.classes.dir=${classes.dir}/jruby
jruby.openssl.classes.dir=${classes.dir}/openssl
jruby.instrumented.classes.dir=${classes.dir}/jruby-instrumented
test.classes.dir=${classes.dir}/test
docs.dir=docs
api.docs.dir=${docs.dir}/api
release.dir=release
test.results.dir=${build.dir}/test-results
html.test.results.dir=${test.results.dir}/html
test.coverage.results.dir=${test.results.dir}/coverage
javac.version=1.5
jruby.compile.memory=512M
jruby.launch.memory=1024M
jruby.test.memory=768M
jruby.test.memory.permgen=512M
jruby.test.jvm=java
rake.args=
ruby.executable=/usr/bin/ruby
install4j.executable=/Applications/install4j 4/bin/install4jc
# Ruby versions
version.ruby=1.8.7
version.ruby.major=1.8
version.ruby.minor=7
version.ruby.patchlevel=357
version.ruby1_9.major=1.9
version.ruby1_9=1.9.3
version.ruby1_9.patchlevel=203
version.ruby1_9.revision=35536
version.ruby2_0.major=2.0
version.ruby2_0=2.0.0dev
version.ruby2_0.patchlevel=0
#version.ruby2_0.revision=34159
version.jruby=1.7.0.preview2.dev
joda.time.version=2.1
tzdata.builddir=build/tzdata
tzdata.ftpserver=ftp.iana.org
tzdata.ftp.dir=/tz/releases
tzdata.ftp.anonymous.userid=jruby@jruby.org
tzdata.distributed.version=2011n
tzdata.latest.version=2012c
jline.version=2.7
asm.version=4.0
shared.lib.dir=lib/ruby/shared
asm.jar=asm-${asm.version}.jar
asm.commons.jar=asm-commons-${asm.version}.jar
asm.util.jar=asm-util-${asm.version}.jar
asm.analysis.jar=asm-analysis-${asm.version}.jar
asm.tree.jar=asm-tree-${asm.version}.jar
mac.dist=${build.dir}/jruby-${version.jruby}
dist.zip=${dist.dir}/jruby-bin-${version.jruby}.zip
gems.dist.dir=${build.dir}/gems_dist
gems.defaults.dir=${mac.dist}/lib/ruby/shared/rubygems/defaults
jruby.default.ruby.version=1.9
Jump to Line
Something went wrong with that request. Please try again.